Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1197790 - [abrt] converseen: ref(): converseen killed by SIGSEGV
Summary: [abrt] converseen: ref(): converseen killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: converseen
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Santagiuliana
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e09ee883dd2bca0d68ea3249aa4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 15:48 UTC by Diego
Modified: 2015-04-18 09:39 UTC (History)
2 users (show)

Fixed In Version: converseen-0.9.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-18 10:30:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.10 KB, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: cgroup (180 bytes, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: core_backtrace (1.65 KB, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: dso_list (28.62 KB, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: exploitable (93 bytes, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: maps (132.31 KB, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: open_fds (639 bytes, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details
File: var_log_messages (369 bytes, text/plain)
2015-03-02 15:48 UTC, Diego
no flags Details

Description Diego 2015-03-02 15:48:16 UTC
Description of problem:
Under KDE 4.14.4 (Dolphin) I right clicked on a tif file, selected "Actions", "Open with Converseen" and then "Import", and I then I received Converseen crash notification.

Version-Release number of selected component:
converseen-0.8.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
crash_function: ref
executable:     /usr/bin/converseen
kernel:         3.18.7-100.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 ref at ../../src/corelib/arch/qatomic_x86_64.h:121
 #1 QString at ../../src/corelib/tools/qstring.h:726
 #2 QDir::fromNativeSeparators at io/qdir.cpp:854
 #3 QFileInfoPrivate at io/qfileinfo_p.h:103
 #4 QFileInfo::QFileInfo at io/qfileinfo.cpp:317
 #5 MainWindowImpl::loadFiles at /usr/src/debug/converseen-0.8.3/src/mainwindowimpl.cpp:266
 #6 MainWindowImpl::importListFromArgv at /usr/src/debug/converseen-0.8.3/src/mainwindowimpl.cpp:129

Comment 1 Diego 2015-03-02 15:48:19 UTC
Created attachment 997120 [details]
File: backtrace

Comment 2 Diego 2015-03-02 15:48:21 UTC
Created attachment 997121 [details]
File: cgroup

Comment 3 Diego 2015-03-02 15:48:22 UTC
Created attachment 997122 [details]
File: core_backtrace

Comment 4 Diego 2015-03-02 15:48:24 UTC
Created attachment 997123 [details]
File: dso_list

Comment 5 Diego 2015-03-02 15:48:25 UTC
Created attachment 997124 [details]
File: exploitable

Comment 6 Diego 2015-03-02 15:48:26 UTC
Created attachment 997125 [details]
File: limits

Comment 7 Diego 2015-03-02 15:48:28 UTC
Created attachment 997126 [details]
File: maps

Comment 8 Diego 2015-03-02 15:48:30 UTC
Created attachment 997127 [details]
File: open_fds

Comment 9 Diego 2015-03-02 15:48:31 UTC
Created attachment 997128 [details]
File: proc_pid_status

Comment 10 Diego 2015-03-02 15:48:32 UTC
Created attachment 997129 [details]
File: var_log_messages

Comment 11 Filipe Rosset 2015-03-02 16:06:55 UTC
Hi Diego, I'm pushing a new updated version 0.9.0 to F20/F21 etc in next hours.

F20 is available here in next minutes, can you please test if the problem will be reproducible in 0.9.0?

http://koji.fedoraproject.org/koji/taskinfo?taskID=9120189

Comment 12 Diego 2015-03-02 17:56:41 UTC
(In reply to Filipe Rosset from comment #11)
> Hi Diego, I'm pushing a new updated version 0.9.0 to F20/F21 etc in next
> hours.
> 
> F20 is available here in next minutes, can you please test if the problem
> will be reproducible in 0.9.0?
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=9120189

Hi Filipe. I tried the new package and it seems crash doesn't happen anymore. "Import" doesn't seem to do anything at all, but at least it doesn't crash.

Comment 13 Fedora Update System 2015-03-10 03:26:59 UTC
converseen-0.9.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/converseen-0.9.1-1.fc22

Comment 14 Fedora Update System 2015-03-10 03:27:32 UTC
converseen-0.9.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/converseen-0.9.1-1.fc21

Comment 15 Fedora Update System 2015-03-10 03:28:04 UTC
converseen-0.9.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/converseen-0.9.1-1.fc20

Comment 16 Fedora Update System 2015-03-12 16:33:05 UTC
Package converseen-0.9.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing converseen-0.9.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3588/converseen-0.9.1-1.fc21
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-03-18 10:30:28 UTC
converseen-0.9.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-03-18 10:30:55 UTC
converseen-0.9.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-03-23 04:21:22 UTC
converseen-0.9.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/converseen-0.9.2-1.fc20

Comment 20 Fedora Update System 2015-04-18 09:39:41 UTC
converseen-0.9.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.